Foreman - Refactor #12311

Refactor rack openid middleware initialization to be both rails3 & 4 compatible
10/26/2015 01:13 PM - Chris Peters

Status: Closed
Priority: Normal
Assignee: Chris Peters
Category: Rails
Target version: 1.11.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2854
Description

When placed in a rails initializer the rack middleware fails to load, throwing a can't modify frozen array error. Moving the initialization
to the application config resolves this issue.

Associated revisions

Revision 212b8250 - 10/27/2015 06:25 AM - Chris Peters

Fixes #12311 - Fix issue with failed initialization of rack openid middleware.
This fix is for rails4 but is backwards compatible with rails3
When placed in a rails initializer the rack middleware fails to

load, throwing a can't modify frozen array error. Moving the
initialization to the application config resolves this issue.

History

#1 - 10/26/2015 01:17 PM - Chris Peters

https://github.com/theforeman/foreman/pull/2854

#2 - 10/27/2015 06:24 AM - Daniel Lobato Garcia
- Pull request https://github.com/theforeman/foreman/pull/2854 added
- Pull request deleted ()

#3 - 10/27/2015 06:27 AM - Dominic Cleal
- Category set to Rails
- Status changed from New to Ready For Testing

- translation missing: en.field_release set to 71

#4 - 10/27/2015 07:01 AM - Chris Peters
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 212b82509028bfca70f6a83e847df06d28552b1b.
